The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of ISC BIND: three vulnerabilities

Synthesis of the vulnerability 

An attacker can use several vulnerabilities of ISC BIND.
Impacted software: Debian, VNX Operating Environment, VNX Series, BIG-IP Hardware, TMOS, Fedora, FreeBSD, HP-UX, AIX, BIND, Junos OS, SRX-Series, McAfee Email Gateway, openSUSE, openSUSE Leap, Solaris, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this computer vulnerability: 3/4.
Number of vulnerabilities in this bulletin: 3.
Creation date: 10/03/2016.
Références of this announce: bulletinjan2016, c05087821, CVE-2016-1285, CVE-2016-1286, CVE-2016-2088, DSA-2019-197, DSA-3511-1, FEDORA-2016-161b73fc2c, FEDORA-2016-364c0a9df4, FEDORA-2016-5047abe4a9, FEDORA-2016-b593e84223, FreeBSD-SA-16:13.bind, HPSBUX03583, JSA10994, openSUSE-SU-2016:0827-1, openSUSE-SU-2016:0830-1, openSUSE-SU-2016:0834-1, openSUSE-SU-2016:0859-1, RHSA-2016:0458-01, RHSA-2016:0459-01, RHSA-2016:0562-01, RHSA-2016:0601-01, SB10214, SOL62012529, SSA:2016-069-01, SSRT110084, SUSE-SU-2016:0759-1, SUSE-SU-2016:0780-1, SUSE-SU-2016:0825-1, USN-2925-1, VIGILANCE-VUL-19144.

Description of the vulnerability 

Several vulnerabilities were announced in ISC BIND.

An attacker can force an assertion error via rndc, in order to trigger a denial of service. [severity:2/4; CVE-2016-1285]

An attacker can force an assertion error via DNAME, in order to trigger a denial of service. [severity:3/4; CVE-2016-1286]

An attacker can force an assertion error via DNS Cookies, in order to trigger a denial of service. [severity:3/4; CVE-2016-2088]
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This vulnerability bulletin impacts software or systems such as Debian, VNX Operating Environment, VNX Series, BIG-IP Hardware, TMOS, Fedora, FreeBSD, HP-UX, AIX, BIND, Junos OS, SRX-Series, McAfee Email Gateway, openSUSE, openSUSE Leap, Solaris, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this security note is important.

The trust level is of type confirmed by the editor, with an origin of internet server.

This bulletin is about 3 vulnerabilities.

An attacker with a expert ability can exploit this cybersecurity note.

Solutions for this threat 

ISC BIND: version 9.10.3-P4.
The version 9.10.3-P4 is fixed:
  http://www.isc.org/downloads/

ISC BIND: version 9.9.8-P4.
The version 9.9.8-P4 is fixed:
  http://www.isc.org/downloads/

Debian: new bind9 packages.
New packages are available:
  Debian 7: bind9 9.8.4.dfsg.P1-6+nmu2+deb7u10
  Debian 8: bind9 9.9.5.dfsg-9+deb8u6

Dell EMC VNXe: version MR4 Service Pack 5.
The version MR4 Service Pack 5 is fixed:
  https://www.dell.com/support/

F5 BIG-IP: fixed versions for BIND CVE-2016-1286.
Fixed versions are indicated in information sources.

Fedora: new bind99 packages.
New packages are available:
  Fedora 22: bind99 9.9.8-4.P4.fc22
  Fedora 23: bind99 9.9.8-4.P4.fc23

Fedora: new bind packages.
New packages are available:
  Fedora 22: bind 9.10.3-9.P4.fc22
  Fedora 23: bind 9.10.3-12.P4.fc23

FreeBSD: patch for BIND.
A patch is available:
  https://security.FreeBSD.org/patches/SA-16:13/bind.patch

HP-UX: versions of BIND.
The following versions are fixed:
  https://h20392.www2.hpe.com/portal/swdepot/displayProductInfo.do?productNumber=BIND
  C.9.9.4.7.0
  HP_UX_11.31_HPUX-NameServer_C.9.9.4.7.0_HP-UX_B.11.31_IA_PA.depot

IBM AIX: patch for ISC BIND.
A patch is available:
  https://aix.software.ibm.com/aix/efixes/security/bind_fix12.tar

Junos OS SRX: fixed versions for ISC BIND.
Fixed versions are indicated in information sources.

McAfee Email Gateway: patch for BIND.
A patch is indicated in information sources.

openSUSE: new bind packages.
New packages are available:
  openSUSE 11.4: bind 9.9.4P2-75.1
  openSUSE 13.1: bind 9.9.4P2-2.29.1
  openSUSE 13.2: bind 9.9.6P1-2.19.1
  openSUSE Leap 42.1: bind 9.9.6P1-33.1

RHEL 5: new bind97 packages.
New packages are available:
  RHEL 5: bind97 9.7.0-21.P2.el5_11.6

RHEL: new bind packages.
New packages are available:
  RHEL 5: bind 9.3.6-25.P1.el5_11.8
  RHEL 6: bind 9.8.2-0.37.rc1.el6_7.7
  RHEL 7: bind 9.9.4-29.el7_2.3

Slackware: new bind packages.
New packages are available:
  Slackware 13.0: bind 9.9.8_P4-*-1_slack13.0
  Slackware 13.1: bind 9.9.8_P4-*-1_slack13.1
  Slackware 13.37: bind 9.9.8_P4-*-1_slack13.37
  Slackware 14.0: bind 9.9.8_P4-*-1_slack14.0
  Slackware 14.1: bind 9.9.8_P4-*-1_slack14.1

Solaris: patch for Bind.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

SUSE LE: new bind packages.
New packages are available:
  SUSE LE 11 SP2: bind 9.9.6P1-0.25.1
  SUSE LE 11 SP3: bind 9.9.6P1-0.25.1
  SUSE LE 11 SP4: bind 9.9.6P1-0.25.1
  SUSE LE 12 RTM: bind 9.9.6P1-28.12.1
  SUSE LE 12 SP1: bind 9.9.6P1-38.1

Ubuntu: new bind9 packages.
New packages are available:
  Ubuntu 15.10: bind9 1:9.9.5.dfsg-11ubuntu1.3
  Ubuntu 14.04 LTS: bind9 1:9.9.5.dfsg-3ubuntu0.8
  Ubuntu 12.04 LTS: bind9 1:9.8.1.dfsg.P1-4ubuntu0.16
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a computer vulnerability note. The Vigil@nce vulnerability database contains several thousand vulnerabilities.